<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.SettingActivity">

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/textInputLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:hint="機器序號"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/editMachineID"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:imeOptions="actionSend"
            android:textSize="24sp"
            android:inputType="text" />
    </com.google.android.material.textfield.TextInputLayout>

    <RadioGroup
        android:id="@+id/radioGroupMqttEnv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="10dp"
        app:layout_constraintTop_toBottomOf="@+id/textInputLayout">
        <RadioButton
            android:id="@+id/radioDemo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Demo 站"
            android:textSize="20sp"
            android:checked="true"/>
        <RadioButton
            android:id="@+id/radioProd"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="正式站"
            android:textSize="20sp"
            android:layout_marginStart="20dp"/>
        <RadioButton
            android:id="@+id/radioLocal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="130測試"
            android:textSize="20sp"
            android:layout_marginStart="20dp"/>
    </RadioGroup>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/radioGroupMqttEnv">

        <androidx.recyclerview.widget.RecyclerView
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:id="@+id/recyclerSettingList"
            android:background="@color/gray"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <!-- 中央浮動進度區塊 (預設隱藏) -->
        <FrameLayout
            android:id="@+id/progressLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#80000000"
            android:visibility="gone"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent">

            <LinearLayout
                android:layout_width="600dp"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="24dp"
                android:gravity="center"
                android:background="@drawable/progress_bg"
                android:layout_gravity="center">

                <ProgressBar
                    android:id="@+id/progressBar"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="300dp"
                    android:layout_height="20dp"
                    android:max="100"
                    android:progress="0"/>

                <TextView
                    android:id="@+id/progressText"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingTop="12dp"
                    android:textSize="20sp"
                    android:text="下載中 0%" />
            </LinearLayout>
        </FrameLayout>



        <LinearLayout
            android:id="@+id/linearLayout2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="50dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/black"
                android:textSize="20sp"
                android:text="返回" />

            <View
                android:layout_width="5dp"
                android:layout_height="0dp" />

            <Button
                android:id="@+id/buttonReload"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/black"
                android:textSize="20sp"
                android:text="初次綁定" />
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>